{% load i18n %}

<div class="navbar-end">
    <div class="navbar-item">
        <form action="{% url 'set_language' %}" method="post">{% csrf_token %}
          <input name="next" type="hidden" value="{{ redirect_to }}">
          {% get_current_language as LANGUAGE_CODE %}
          <input name="language" type="hidden" value={% if LANGUAGE_CODE == "nl" %}"en"{% else %}"nl"{% endif %}>
          <input type="submit" value={% if LANGUAGE_CODE == "nl" %}"English"{% else %}"Nederlands"{% endif %}>
      </form>
    </div>
    <div class="navbar-item">
        <div class="buttons">
            {% if not user.is_authenticated %}
            <a class="button is-primary" href="/accounts/login/?next={{ request.path|urlencode }}">
                <strong>Log in</strong>
            </a>
            <a class="button is-light">
                {% trans "Lid worden" %}
            </a>
        {% else %}
            <a class="button is-primary" href="{% url 'members:detail' user.person.id %}">
                <strong>{{ user.person.full_name }}</strong>
            </a>
            <a class="button is-light" href="{% url 'authentication:logout' %}?next={{ request.path|urlencode }}">
                {% trans "Uitloggen" %}
            </a>
        {% endif %}
        </div>
    </div>
</div>
